OPNsense Forum

English Forums => 19.7 Legacy Series => Topic started by: Bytechanger on July 09, 2019, 05:50:27 pm

Title: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 09, 2019, 05:50:27 pm
Hi,

I´am actually using 19.7.b_148-amd64 on dev-channel.
On update-check now it tells me:
This software release has reached its designated end of life. The next major release is: 19.7.r1

When I unlock and upgrade my version, all went good. But after automatical reboot, the firewall doesn´t came back, so I can´t access to WebIF anymore.
When I shutdown my Firewall and start it (with pushing button on front side) it cames back to 19.7.b_148-amd64.
I haven´t any Monitor to see, whats going on.

How can I upgrade to new version?

Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: mimugmail on July 09, 2019, 06:04:52 pm
1. Make a snapshot or backup
2. via console: opnsense-update -t opnsense && opnsense-update
3. via UI check if Firmware - Settings is set to Production, if not, set it, but don't run update via WebUI
4. Go to console and again opnsense-update

If you update via WebUI you maybe loose some stuff, had this quite some times now when playing with stable and dev.
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 09, 2019, 06:23:08 pm
Thanks,
so console = ssh?

I need to be on dev-channel, because I use Wireguard.
All my plugins are dev-channel to.

So can I change back after upgrade?

Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 09, 2019, 06:31:50 pm
Thanks,
so console = ssh?

I need to be on dev-channel, because I use Wireguard.
All my plugins are dev-channel to.

So can I change back after upgrade?

EDIT: So Step 1-3 works
Code: [Select]
sudo opnsense-update -t opnsense && sudo opnsense-update
Password:
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
The following packages will be fetched:

New packages to be FETCHED:
        opnsense-devel-19.7.b_148 (4 MiB: 49.62% of the 8 MiB to download)
        opnsense-19.1.10 (4 MiB: 50.38% of the 8 MiB to download)

Number of packages to be fetched: 2

The process will require 8 MiB more space.
8 MiB to be downloaded.
Fetching opnsense-devel-19.7.b_148.txz: 100%    4 MiB   4.4MB/s    00:01
Fetching opnsense-19.1.10.txz: 100%    4 MiB   4.4MB/s    00:01
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        opnsense: 19.1.10
        squid3: 3.5.28_2

Number of packages to be installed: 2

The process will require 38 MiB more space.
3 MiB to be downloaded.
[1/1] Fetching squid3-3.5.28_2.txz: 100%    3 MiB   2.7MB/s    00:01
Checking integrity... done (2 conflicting)
  - opnsense-19.1.10 conflicts with opnsense-devel-19.7.b_148 on /boot/brand-opn                                                                                                                                 sense.4th
  - squid3-3.5.28_2 conflicts with squid-4.7_1 on /usr/local/etc/rc.d/squid
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 4 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        squid-4.7_1
        opnsense-devel-19.7.b_148

New packages to be INSTALLED:
        squid3: 3.5.28_2
        opnsense: 19.1.10

Number of packages to be removed: 2
Number of packages to be installed: 2

The operation will free 1 MiB.
[1/4] Deinstalling opnsense-devel-19.7.b_148...
Stopping configd...done
Resetting root shell
Updating /etc/shells
Unhooking from /etc/rc
Unhooking from /etc/rc.shutdown
[1/4] Deleting files for opnsense-devel-19.7.b_148: 100%
[2/4] Deinstalling squid-4.7_1...
You may need to manually remove /usr/local/etc/squid/squid.conf if it is no long                                                                                                                                 er needed.
[2/4] Deleting files for squid-4.7_1: 100%
==> You should manually remove the "squid" user.
==> You should manually remove the "squid" group
[3/4] Installing squid3-3.5.28_2...
===> Creating groups.
Using existing group 'squid'.
===> Creating users
Using existing user 'squid'.
===> Pre-installation configuration for squid3-3.5.28_2
[3/4] Extracting squid3-3.5.28_2: 100%
[4/4] Installing opnsense-19.1.10...
[4/4] Extracting opnsense-19.1.10: 100%
Updating /etc/shells
Registering root shell
Hooking into /etc/rc
Hooking into /etc/rc.shutdown
Starting configd.
Keep version OPNsense\Backup\NextcloudSettings (1.0.0)
Keep version OPNsense\CaptivePortal\CaptivePortal (1.0.0)
Keep version OPNsense\Cron\Cron (1.0.1)
Keep version OPNsense\Diagnostics\Netflow (1.0.0)
Keep version OPNsense\Firewall\Alias (1.0.0)
Keep version OPNsense\IDS\IDS (1.0.3)
*** OPNsense\Monit\Monit Migration failed, check log for details
Keep version OPNsense\OpenVPN\Export (0.0.1)
Keep version OPNsense\Proxy\Proxy (1.0.3)
Keep version OPNsense\Routes\Route (1.0.0)
Keep version OPNsense\TrafficShaper\TrafficShaper (1.0.3)
Keep version OPNsense\Bind\Dnsbl (1.0.5)
Keep version OPNsense\Bind\General (1.0.5)
Keep version OPNsense\Bind\Domain (1.0.0)
Keep version OPNsense\Bind\Record (1.0.0)
Keep version OPNsense\Bind\Acl (1.0.0)
Keep version OPNsense\Wireguard\General (0.0.1)
Keep version OPNsense\Wireguard\Server (0.0.2)
Keep version OPNsense\Wireguard\Client (0.0.4)
Keep version OPNsense\MDNSRepeater\MDNSRepeater (1.0.0)
Keep version OPNsense\ARPscanner\ARPscanner (1.0.0)
Keep version OPNsense\Freeradius\General (1.0.0)
Keep version OPNsense\Freeradius\User (1.0.2)
Keep version OPNsense\Freeradius\Eap (1.0.0)
Keep version OPNsense\Freeradius\Ldap (1.0.0)
Keep version OPNsense\Freeradius\Dhcp (1.0.0)
Keep version OPNsense\Freeradius\Lease (1.0.0)
Keep version OPNsense\Freeradius\Client (1.0.0)
Keep version OPNsense\HAProxy\HAProxy (2.7.0)
Keep version OPNsense\AcmeClient\AcmeClient (1.5.0)
Writing firmware setting...done.
Configuring login behaviour...done.
Configuring system logging...done.
Message from squid3-3.5.28_2:

o You can find the configuration files for this package in the
       directory /usr/local/etc/squid.

     o The default cache directory is /var/squid/cache/.
       The default log directory is /var/log/squid/.

       Note:
       You must initialize new cache directories before you can start
       squid.  Do this by running "squid -z" as 'root' or 'squid'.
       If your cache directories are already initialized (e.g. after an
       upgrade of squid) you do not need to initialize them again.

     o When using DiskD storage scheme remember to read documentation:
         http://wiki.squid-cache.org/Features/DiskDaemon
       and alter your kern.ipc defaults in /boot/loader.conf. DiskD will not
       work reliably without this. Last recomendations were:

         kern.ipc.msgmnb=8192
         kern.ipc.msgssz=64
         kern.ipc.msgtql=2048

     o The default configuration will deny everyone but the local host and
       local networks as defined in RFC 1918 for IPv4 and RFCs 4193 and
       4291 for IPv6 access to the proxy service.  Edit the "http_access
       allow/deny" directives in /usr/local/etc/squid/squid.conf
       to suit your needs.

     o If AUTH_SQL option is set, please, don't forget to install one of
       following perl modules depending on database you like:
         databases/p5-DBD-mysql
         databases/p5-DBD-Pg
         databases/p5-DBD-SQLite

     To enable Squid, set squid_enable=yes in either
     /etc/rc.conf, /etc/rc.conf.local or /etc/rc.conf.d/squid
     Please see /usr/local/etc/rc.d/squid for further details.

     Note:
     If you just updated your Squid installation from an earlier version,
     make sure to check your Squid configuration against the 3.4 default
     configuration file /usr/local/etc/squid/squid.conf.sample.

     /usr/local/etc/squid/squid.conf.documented is a fully annotated
     configuration file you can consult for further reference.

     Additionally, you should check your configuration by calling
     'squid -f /path/to/squid.conf -k parse' before starting Squid.
Message from opnsense-19.1.10:

Here be dragons
Your system is up to date.
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Checking for upgrades (3 candidates): 100%
Processing candidates (3 candidates): 100%
Checking integrity... done (0 conflicting)
Your packages are up to date.
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 2 packages:

Installed packages to be REMOVED:
        syslog-ng-3.21.1
        e2fsprogs-libuuid-1.45.2

Number of packages to be removed: 2

The operation will free 4 MiB.
[1/2] Deinstalling syslog-ng-3.21.1...
You may need to manually remove /usr/local/etc/syslog-ng.conf if it is no longer                                                                                                                                  needed.
[1/2] Deleting files for syslog-ng-3.21.1: 100%
[2/2] Deinstalling e2fsprogs-libuuid-1.45.2...
[2/2] Deleting files for e2fsprogs-libuuid-1.45.2: 100%
The following package files will be deleted:
        /var/cache/pkg/opnsense-devel-19.7.b_148-1f27d4cb60.txz
        /var/cache/pkg/opnsense-19.1.10-53ab5ce9a1.txz
        /var/cache/pkg/opnsense-devel-19.7.b_148.txz
        /var/cache/pkg/opnsense-19.1.10.txz
        /var/cache/pkg/squid3-3.5.28_2-b71c0dff3a.txz
        /var/cache/pkg/squid3-3.5.28_2.txz
The cleanup will free 11 MiB
Deleting files: 100%
All done
Your system is up to date.


Change to release.

Code: [Select]
sudo opnsense-update
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Checking for upgrades (3 candidates): 100%
Processing candidates (3 candidates): 100%
Checking integrity... done (0 conflicting)
Your packages are up to date.
Checking integrity... done (0 conflicting)
Nothing to do.
Nothing to do.
Your system is up to date.

But still in 19.7.b_148-amd64
Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 09, 2019, 06:45:39 pm
There's a log file now for this...

# cat /var/cache/opnsense-update/.upgrade.log


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 09, 2019, 06:55:59 pm
Here it comes

Code: [Select]
cat /var/cache/opnsense-update/.upgrade.log
acme.sh-2.8.1: already unlocked
arp-scan-1.9: already unlocked
bash-5.0.7: already unlocked
beep-1.0_1: already unlocked
bind-tools-9.14.3: already unlocked
bind914-9.14.3: already unlocked
bsdinstaller-19.7: already unlocked
ca_root_nss-3.44.1: already unlocked
choparp-20150613: already unlocked
clog-1.0.1_3: already unlocked
cpdup-1.20: already unlocked
cpustats-0.1: already unlocked
curl-7.65.1: already unlocked
cvsps-2.1_2: already unlocked
cyrus-sasl-2.1.27: already unlocked
dhcp6c-20190419: already unlocked
dhcpleases-0.2: already unlocked
dmidecode-3.2: already unlocked
dnsmasq-2.80_2,1: already unlocked
dpinger-3.0: already unlocked
e2fsprogs-libuuid-1.45.2: already unlocked
expat-2.2.6_1: already unlocked
expiretable-0.6_1: already unlocked
filterlog-0.2: already unlocked
flock-2.30.1: already unlocked
flowd-0.9.1_3: already unlocked
freeradius3-3.0.19_1: already unlocked
gdbm-1.18.1_1: already unlocked
gettext-runtime-0.20.1: already unlocked
git-2.22.0: already unlocked
glib-2.56.3_5,1: already unlocked
gmp-6.1.2_1: already unlocked
haproxy18-1.8.20: already unlocked
hostapd-2.8: already unlocked
hyperscan-4.7.0_2: already unlocked
ifinfo-10.1: already unlocked
indexinfo-0.3.1: already unlocked
isc-dhcp44-relay-4.4.1: already unlocked
isc-dhcp44-server-4.4.1_4: already unlocked
jansson-2.12: already unlocked
json-c-0.13.1: already unlocked
krb5-1.17_2: already unlocked
ldns-1.7.0_1: already unlocked
libargon2-20171227_1: already unlocked
libdaemon-0.14_1: already unlocked
libedit-3.1.20190324,1: already unlocked
libevent-2.1.10: already unlocked
libffi-3.2.1_3: already unlocked
libiconv-1.14_11: already unlocked
libidn2-2.2.0: already unlocked
liblz4-1.9.1,1: already unlocked
libnet-1.1.6_5,1: already unlocked
libnghttp2-1.39.1: already unlocked
libucl-0.8.1: already unlocked
libunistring-0.9.10_1: already unlocked
libxml2-2.9.9: already unlocked
libyaml-0.2.2: already unlocked
lighttpd-1.4.54: already unlocked
lmdb-0.9.23,1: already unlocked
lua53-5.3.5_3: already unlocked
lzo2-2.10_1: already unlocked
mdns-repeater-1.10_2: already unlocked
monit-5.25.3: already unlocked
mpd5-5.8_10: already unlocked
mysql56-client-5.6.44: already unlocked
nettle-3.4.1_1: already unlocked
ntp-4.2.8p13: already unlocked
openldap-sasl-client-2.4.47: already unlocked
openssh-portable-7.9.p1_1,1: already unlocked
openssl-1.0.2s,1: already unlocked
openvpn-2.4.7: already unlocked
opnsense-devel-19.7.b_148: already unlocked
opnsense-lang-19.7: already unlocked
opnsense-update-19.7.r1: already unlocked
os-acme-client-devel-1.23: already unlocked
os-api-backup-devel-1.0: already unlocked
os-arp-scan-devel-1.1: already unlocked
os-bind-devel-1.5: already unlocked
os-debug-devel-1.3: already unlocked
os-dmidecode-devel-1.1: already unlocked
os-dyndns-devel-1.16_1: already unlocked
os-freeradius-devel-1.9.3: already unlocked
os-haproxy-devel-2.15_1: already unlocked
os-mdns-repeater-devel-1.0: already unlocked
os-smart-devel-2.0.d: already unlocked
os-wireguard-devel-0.11: already unlocked
p5-Error-0.17027: already unlocked
p5-File-Slurp-9999.27: already unlocked
pam_opnsense-19.1.3: already unlocked
pcre-8.43_1: already unlocked
perl5-5.28.2: already unlocked
pftop-0.7_8: already unlocked
php72-7.2.19: already unlocked
php72-ctype-7.2.19: already unlocked
php72-curl-7.2.19: already unlocked
php72-dom-7.2.19: already unlocked
php72-filter-7.2.19: already unlocked
php72-gettext-7.2.19: already unlocked
php72-hash-7.2.19: already unlocked
php72-json-7.2.19: already unlocked
php72-ldap-7.2.19: already unlocked
php72-openssl-7.2.19: already unlocked
php72-pdo-7.2.19: already unlocked
php72-pear-1.10.6: already unlocked
php72-pear-PHP_CodeSniffer-3.4.2: already unlocked
php72-pecl-radius-1.4.0.b1: already unlocked
php72-pecl-xdebug-2.7.2: already unlocked
php72-phalcon-3.4.4: already unlocked
php72-phar-7.2.19: already unlocked
php72-phpseclib-2.0.15: already unlocked
php72-session-7.2.19: already unlocked
php72-simplexml-7.2.19: already unlocked
php72-sockets-7.2.19: already unlocked
php72-sqlite3-7.2.19: already unlocked
php72-tokenizer-7.2.19: already unlocked
php72-xml-7.2.19: already unlocked
php72-xmlwriter-7.2.19: already unlocked
php72-zlib-7.2.19: already unlocked
phpunit7-php72-7.5.13: already unlocked
pkg-1.10.5_5: already unlocked
py27-Babel-2.7.0: already unlocked
py27-Jinja2-2.10.1: already unlocked
py27-MarkupSafe-1.1.1: already unlocked
py27-asn1crypto-0.24.0: already unlocked
py27-certifi-2019.6.16: already unlocked
py27-cffi-1.12.3: already unlocked
py27-chardet-3.0.4_1: already unlocked
py27-cryptography-2.6.1: already unlocked
py27-dnspython-1.16.0: already unlocked
py27-enum34-1.1.6: already unlocked
py27-idna-2.8: already unlocked
py27-ipaddress-1.0.22: already unlocked
py27-netaddr-0.7.19_1: already unlocked
py27-openssl-18.0.0: already unlocked
py27-ply-3.11: already unlocked
py27-pycparser-2.19: already unlocked
py27-pysocks-1.7.0: already unlocked
py27-pytz-2019.1,1: already unlocked
py27-requests-2.21.0: already unlocked
py27-setuptools-41.0.1: already unlocked
py27-six-1.12.0: already unlocked
py27-sqlite3-2.7.16_7: already unlocked
py27-ujson-1.35: already unlocked
py27-urllib3-1.22,1: already unlocked
py27-yaml-5.1: already unlocked
py37-Babel-2.7.0: already unlocked
py37-Jinja2-2.10.1: already unlocked
py37-MarkupSafe-1.1.1: already unlocked
py37-asn1crypto-0.24.0: already unlocked
py37-certifi-2019.6.16: already unlocked
py37-cffi-1.12.3: already unlocked
py37-chardet-3.0.4_1: already unlocked
py37-cryptography-2.6.1: already unlocked
py37-dnspython-1.16.0: already unlocked
py37-idna-2.8: already unlocked
py37-netaddr-0.7.19_1: already unlocked
py37-openssl-18.0.0: already unlocked
py37-pycodestyle-2.5.0_1: already unlocked
py37-pycparser-2.19: already unlocked
py37-pysocks-1.7.0: already unlocked
py37-pytz-2019.1,1: already unlocked
py37-requests-2.21.0: already unlocked
py37-setuptools-41.0.1: already unlocked
py37-six-1.12.0: already unlocked
py37-sqlite3-3.7.3_7: already unlocked
py37-ujson-1.35: already unlocked
py37-urllib3-1.22,1: already unlocked
python27-2.7.16_1: already unlocked
python37-3.7.3_1: already unlocked
radvd1-1.15: already unlocked
rate-0.9_1: already unlocked
readline-8.0.0: already unlocked
rrdtool-1.7.0_2: already unlocked
samplicator-1.3.8.r1_1: already unlocked
smartmontools-7.0: already unlocked
socat-1.7.3.3_1: already unlocked
sqlite3-3.28.0: already unlocked
squid-4.7_1: already unlocked
sshlockout_pf-0.0.2_2: already unlocked
strongswan-5.8.0: already unlocked
sudo-1.8.27_1: already unlocked
suricata-4.1.4_2: already unlocked
syslog-ng-3.21.1: already unlocked
syslogd-11.2: already unlocked
talloc-2.2.0: already unlocked
unbound-1.9.2: already unlocked
vim-console-8.1.1439: already unlocked
wireguard-0.0.20190601: already unlocked
wireguard-go-0.0.20190517: already unlocked
wpa_supplicant-2.8: already unlocked
zip-3.0_1: already unlocked
Updating OPNsense repository catalogue...
Fetching meta.txz: . done
Fetching packagesite.txz: .......... done
Processing entries: .......... done
OPNsense repository update completed. 685 packages processed.
All repositories are up to date.
Checking for upgrades (191 candidates): .......... done
Processing candidates (191 candidates): .......... done
Checking integrity... done (0 conflicting)
The following 190 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        opnsense-devel: 19.7.b_148 -> 19.7.r_1

Installed packages to be REINSTALLED:
        pkg-1.10.5_5
        zip-3.0_1
        wpa_supplicant-2.8
        wireguard-go-0.0.20190517
        wireguard-0.0.20190601
        vim-console-8.1.1439
        unbound-1.9.2
        talloc-2.2.0
        syslogd-11.2
        syslog-ng-3.21.1
        suricata-4.1.4_2
        sudo-1.8.27_1
        strongswan-5.8.0
        sshlockout_pf-0.0.2_2
        squid-4.7_1
        sqlite3-3.28.0
        socat-1.7.3.3_1
        smartmontools-7.0
        samplicator-1.3.8.r1_1
        rrdtool-1.7.0_2
        readline-8.0.0
        rate-0.9_1
        radvd1-1.15
        python37-3.7.3_1
        python27-2.7.16_1
        py37-urllib3-1.22,1
        py37-ujson-1.35
        py37-sqlite3-3.7.3_7
        py37-six-1.12.0
        py37-setuptools-41.0.1
        py37-requests-2.21.0
        py37-pytz-2019.1,1
        py37-pysocks-1.7.0
        py37-pycparser-2.19
        py37-pycodestyle-2.5.0_1
        py37-openssl-18.0.0
        py37-netaddr-0.7.19_1
        py37-idna-2.8
        py37-dnspython-1.16.0
        py37-cryptography-2.6.1
        py37-chardet-3.0.4_1
        py37-cffi-1.12.3
        py37-certifi-2019.6.16
        py37-asn1crypto-0.24.0
        py37-MarkupSafe-1.1.1
        py37-Jinja2-2.10.1
        py37-Babel-2.7.0
        py27-yaml-5.1
        py27-urllib3-1.22,1
        py27-ujson-1.35
        py27-sqlite3-2.7.16_7
        py27-six-1.12.0
        py27-setuptools-41.0.1
        py27-requests-2.21.0
        py27-pytz-2019.1,1
        py27-pysocks-1.7.0
        py27-pycparser-2.19
        py27-ply-3.11
        py27-openssl-18.0.0
        py27-netaddr-0.7.19_1
        py27-ipaddress-1.0.22
        py27-idna-2.8
        py27-enum34-1.1.6
        py27-dnspython-1.16.0
        py27-cryptography-2.6.1
        py27-chardet-3.0.4_1
        py27-cffi-1.12.3
        py27-certifi-2019.6.16
        py27-asn1crypto-0.24.0
        py27-MarkupSafe-1.1.1
        py27-Jinja2-2.10.1
        py27-Babel-2.7.0
        phpunit7-php72-7.5.13
        php72-zlib-7.2.19
        php72-xmlwriter-7.2.19
        php72-xml-7.2.19
        php72-tokenizer-7.2.19
        php72-sqlite3-7.2.19
        php72-sockets-7.2.19
        php72-simplexml-7.2.19
        php72-session-7.2.19
        php72-phpseclib-2.0.15
        php72-phar-7.2.19
        php72-phalcon-3.4.4
        php72-pecl-xdebug-2.7.2
        php72-pecl-radius-1.4.0.b1
        php72-pear-PHP_CodeSniffer-3.4.2
        php72-pear-1.10.6
        php72-pdo-7.2.19
        php72-openssl-7.2.19
        php72-ldap-7.2.19
        php72-json-7.2.19
        php72-hash-7.2.19
        php72-gettext-7.2.19
        php72-filter-7.2.19
        php72-dom-7.2.19
        php72-curl-7.2.19
        php72-ctype-7.2.19
        php72-7.2.19
        pftop-0.7_8
        perl5-5.28.2
        pcre-8.43_1
        pam_opnsense-19.1.3
        p5-File-Slurp-9999.27
        p5-Error-0.17027
        os-wireguard-devel-0.11
        os-smart-devel-2.0.d
        os-mdns-repeater-devel-1.0
        os-haproxy-devel-2.15_1
        os-freeradius-devel-1.9.3
        os-dyndns-devel-1.16_1
        os-dmidecode-devel-1.1
        os-debug-devel-1.3
        os-bind-devel-1.5
        os-api-backup-devel-1.0
        os-acme-client-devel-1.23
        opnsense-update-19.7.r1
        opnsense-lang-19.7
        openvpn-2.4.7
        openssl-1.0.2s,1
        openssh-portable-7.9.p1_1,1
        openldap-sasl-client-2.4.47
        ntp-4.2.8p13
        nettle-3.4.1_1
        mysql56-client-5.6.44
        mpd5-5.8_10
        monit-5.25.3
        mdns-repeater-1.10_2
        lzo2-2.10_1
        lua53-5.3.5_3
        lmdb-0.9.23,1
        lighttpd-1.4.54
        libyaml-0.2.2
        libxml2-2.9.9
        libunistring-0.9.10_1
        libucl-0.8.1
        libnghttp2-1.39.1
        libnet-1.1.6_5,1
        liblz4-1.9.1,1
        libidn2-2.2.0
        libiconv-1.14_11
        libffi-3.2.1_3
        libevent-2.1.10
        libedit-3.1.20190324,1
        libdaemon-0.14_1
        libargon2-20171227_1
        ldns-1.7.0_1
        krb5-1.17_2
        json-c-0.13.1
        jansson-2.12
        isc-dhcp44-server-4.4.1_4
        isc-dhcp44-relay-4.4.1
        indexinfo-0.3.1
        ifinfo-10.1
        hyperscan-4.7.0_2
        hostapd-2.8
        haproxy18-1.8.20
        gmp-6.1.2_1
        glib-2.56.3_5,1
        git-2.22.0
        gettext-runtime-0.20.1
        gdbm-1.18.1_1
        freeradius3-3.0.19_1
        flowd-0.9.1_3
        flock-2.30.1
        filterlog-0.2
        expiretable-0.6_1
        expat-2.2.6_1
        e2fsprogs-libuuid-1.45.2
        dpinger-3.0
        dnsmasq-2.80_2,1
        dmidecode-3.2
        dhcpleases-0.2
        dhcp6c-20190419
        cyrus-sasl-2.1.27
        cvsps-2.1_2
        curl-7.65.1
        cpustats-0.1
        cpdup-1.20
        clog-1.0.1_3
        choparp-20150613
        ca_root_nss-3.44.1
        bsdinstaller-19.7
        bind914-9.14.3
        bind-tools-9.14.3
        beep-1.0_1
        bash-5.0.7
        arp-scan-1.9
        acme.sh-2.8.1

Number of packages to be upgraded: 1
Number of packages to be reinstalled: 189
[1/190] Reinstalling indexinfo-0.3.1...
[1/190] Extracting indexinfo-0.3.1: .... done
[2/190] Reinstalling readline-8.0.0...
[2/190] Extracting readline-8.0.0: .......... done
[3/190] Reinstalling openssl-1.0.2s,1...
[3/190] Extracting openssl-1.0.2s,1: .......... done
[4/190] Reinstalling libffi-3.2.1_3...
[4/190] Extracting libffi-3.2.1_3: .......... done
[5/190] Reinstalling python37-3.7.3_1...
[5/190] Extracting python37-3.7.3_1: .......... done
[6/190] Reinstalling python27-2.7.16_1...
[6/190] Extracting python27-2.7.16_1: .......... done
[7/190] Reinstalling py37-setuptools-41.0.1...
[7/190] Extracting py37-setuptools-41.0.1: .......... done
[8/190] Reinstalling py27-setuptools-41.0.1...
[8/190] Extracting py27-setuptools-41.0.1: .......... done
[9/190] Reinstalling py37-pycparser-2.19...
[9/190] Extracting py37-pycparser-2.19: .......... done
[10/190] Reinstalling py27-pycparser-2.19...
[10/190] Extracting py27-pycparser-2.19: .......... done
[11/190] Reinstalling py37-six-1.12.0...
[11/190] Extracting py37-six-1.12.0: .......... done
[12/190] Reinstalling py37-cffi-1.12.3...
[12/190] Extracting py37-cffi-1.12.3: .......... done
[13/190] Reinstalling py37-asn1crypto-0.24.0...
[13/190] Extracting py37-asn1crypto-0.24.0: .......... done
[14/190] Reinstalling py27-six-1.12.0...
[14/190] Extracting py27-six-1.12.0: .......... done
[15/190] Reinstalling py27-ipaddress-1.0.22...
[15/190] Extracting py27-ipaddress-1.0.22: .......... done
[16/190] Reinstalling py27-enum34-1.1.6...
[16/190] Extracting py27-enum34-1.1.6: .......... done
[17/190] Reinstalling py27-cffi-1.12.3...
[17/190] Extracting py27-cffi-1.12.3: .......... done
[18/190] Reinstalling py27-asn1crypto-0.24.0...
[18/190] Extracting py27-asn1crypto-0.24.0: .......... done
[19/190] Reinstalling pcre-8.43_1...
[19/190] Extracting pcre-8.43_1: .......... done
[20/190] Reinstalling libxml2-2.9.9...
[20/190] Extracting libxml2-2.9.9: .......... done
[21/190] Reinstalling libargon2-20171227_1...
[21/190] Extracting libargon2-20171227_1: .......... done
[22/190] Reinstalling py37-cryptography-2.6.1...
[22/190] Extracting py37-cryptography-2.6.1: .......... done
[23/190] Reinstalling py27-cryptography-2.6.1...
[23/190] Extracting py27-cryptography-2.6.1: .......... done
[24/190] Reinstalling php72-7.2.19...
[24/190] Extracting php72-7.2.19: .......... done
[25/190] Reinstalling libunistring-0.9.10_1...
[25/190] Extracting libunistring-0.9.10_1: .......... done
[26/190] Reinstalling py37-pytz-2019.1,1...
[26/190] Extracting py37-pytz-2019.1,1: .......... done
[27/190] Reinstalling py37-pysocks-1.7.0...
[27/190] Extracting py37-pysocks-1.7.0: .......... done
[28/190] Reinstalling py37-openssl-18.0.0...
[28/190] Extracting py37-openssl-18.0.0: .......... done
[29/190] Reinstalling py37-idna-2.8...
[29/190] Extracting py37-idna-2.8: .......... done
[30/190] Reinstalling py27-pytz-2019.1,1...
[30/190] Extracting py27-pytz-2019.1,1: .......... done
[31/190] Reinstalling py27-pysocks-1.7.0...
[31/190] Extracting py27-pysocks-1.7.0: .......... done
[32/190] Reinstalling py27-ply-3.11...
[32/190] Extracting py27-ply-3.11: .......... done
[33/190] Reinstalling py27-openssl-18.0.0...
[33/190] Extracting py27-openssl-18.0.0: .......... done
[34/190] Reinstalling py27-idna-2.8...
[34/190] Extracting py27-idna-2.8: .......... done
[35/190] Reinstalling py27-certifi-2019.6.16...
[35/190] Extracting py27-certifi-2019.6.16: .......... done
[36/190] Reinstalling php72-zlib-7.2.19...
[36/190] Extracting php72-zlib-7.2.19: ....... done
[37/190] Reinstalling php72-xml-7.2.19...
[37/190] Extracting php72-xml-7.2.19: ........ done
[38/190] Reinstalling php72-hash-7.2.19...
[38/190] Extracting php72-hash-7.2.19: .......... done
[39/190] Reinstalling perl5-5.28.2...
[39/190] Extracting perl5-5.28.2: .......... done
[40/190] Reinstalling libnghttp2-1.39.1...
[40/190] Extracting libnghttp2-1.39.1: .......... done
[41/190] Reinstalling liblz4-1.9.1,1...
[41/190] Extracting liblz4-1.9.1,1: .......... done
[42/190] Reinstalling libidn2-2.2.0...
[42/190] Extracting libidn2-2.2.0: .......... done
[43/190] Reinstalling libiconv-1.14_11...
[43/190] Extracting libiconv-1.14_11: .......... done
[44/190] Reinstalling libevent-2.1.10...
[44/190] Extracting libevent-2.1.10: .......... done
[45/190] Reinstalling libedit-3.1.20190324,1...
[45/190] Extracting libedit-3.1.20190324,1: .......... done
[46/190] Reinstalling json-c-0.13.1...
[46/190] Extracting json-c-0.13.1: .......... done
[47/190] Reinstalling gmp-6.1.2_1...
[47/190] Extracting gmp-6.1.2_1: .......... done
[48/190] Reinstalling gettext-runtime-0.20.1...
[48/190] Extracting gettext-runtime-0.20.1: .......... done
[49/190] Reinstalling cyrus-sasl-2.1.27...
*** Added group `cyrus' (id 60)
*** Added user `cyrus' (id 60)
[49/190] Extracting cyrus-sasl-2.1.27: .......... done
[50/190] Reinstalling ca_root_nss-3.44.1...
[50/190] Extracting ca_root_nss-3.44.1: ...... done
You may need to manually remove /usr/local/etc/ssl/cert.pem if it is no longer n                                     eeded.
You may need to manually remove /usr/local/openssl/cert.pem if it is no longer n                                     eeded.
[51/190] Reinstalling wireguard-go-0.0.20190517...
[51/190] Extracting wireguard-go-0.0.20190517: .... done
[52/190] Reinstalling talloc-2.2.0...
[52/190] Extracting talloc-2.2.0: .......... done
[53/190] Reinstalling sqlite3-3.28.0...
[53/190] Extracting sqlite3-3.28.0: .......... done
[54/190] Reinstalling socat-1.7.3.3_1...
[54/190] Extracting socat-1.7.3.3_1: ......... done
[55/190] Reinstalling py37-urllib3-1.22,1...
[55/190] Extracting py37-urllib3-1.22,1: .......... done
[56/190] Reinstalling py37-chardet-3.0.4_1...
[56/190] Extracting py37-chardet-3.0.4_1: .......... done
[57/190] Reinstalling py37-certifi-2019.6.16...
[57/190] Extracting py37-certifi-2019.6.16: .......... done
[58/190] Reinstalling py37-MarkupSafe-1.1.1...
[58/190] Extracting py37-MarkupSafe-1.1.1: .......... done
[59/190] Reinstalling py37-Babel-2.7.0...
[59/190] Extracting py37-Babel-2.7.0: .......... done
[60/190] Reinstalling py27-yaml-5.1...
[60/190] Extracting py27-yaml-5.1: .......... done
[61/190] Reinstalling py27-urllib3-1.22,1...
[61/190] Extracting py27-urllib3-1.22,1: .......... done
[62/190] Reinstalling py27-chardet-3.0.4_1...
[62/190] Extracting py27-chardet-3.0.4_1: .......... done
[63/190] Reinstalling py27-MarkupSafe-1.1.1...
[63/190] Extracting py27-MarkupSafe-1.1.1: .......... done
[64/190] Reinstalling py27-Babel-2.7.0...
[64/190] Extracting py27-Babel-2.7.0: .......... done
[65/190] Reinstalling php72-xmlwriter-7.2.19...
[65/190] Extracting php72-xmlwriter-7.2.19: ....... done
[66/190] Reinstalling php72-tokenizer-7.2.19...
[66/190] Extracting php72-tokenizer-7.2.19: ....... done
[67/190] Reinstalling php72-simplexml-7.2.19...
[67/190] Extracting php72-simplexml-7.2.19: ......... done
[68/190] Reinstalling php72-phar-7.2.19...
[68/190] Extracting php72-phar-7.2.19: .......... done
[69/190] Reinstalling php72-pear-1.10.6...
[69/190] Extracting php72-pear-1.10.6: .......... done
[70/190] Reinstalling php72-pdo-7.2.19...
[70/190] Extracting php72-pdo-7.2.19: .......... done
[71/190] Reinstalling php72-json-7.2.19...
[71/190] Extracting php72-json-7.2.19: .......... done
[72/190] Reinstalling php72-dom-7.2.19...
[72/190] Extracting php72-dom-7.2.19: .......... done
[73/190] Reinstalling php72-ctype-7.2.19...
[73/190] Extracting php72-ctype-7.2.19: ....... done
[74/190] Reinstalling p5-Error-0.17027...
[74/190] Extracting p5-Error-0.17027: ........ done
[75/190] Reinstalling openldap-sasl-client-2.4.47...
[75/190] Extracting openldap-sasl-client-2.4.47: .......... done
[76/190] Reinstalling nettle-3.4.1_1...
[76/190] Extracting nettle-3.4.1_1: .......... done
[77/190] Reinstalling mysql56-client-5.6.44...
[77/190] Extracting mysql56-client-5.6.44: .......... done
[78/190] Reinstalling lzo2-2.10_1...
[78/190] Extracting lzo2-2.10_1: .......... done
[79/190] Reinstalling lua53-5.3.5_3...
[79/190] Extracting lua53-5.3.5_3: ......... done
[80/190] Reinstalling lmdb-0.9.23,1...
[80/190] Extracting lmdb-0.9.23,1: .......... done
[81/190] Reinstalling libyaml-0.2.2...
[81/190] Extracting libyaml-0.2.2: ......... done
[82/190] Reinstalling libucl-0.8.1...
[82/190] Extracting libucl-0.8.1: .......... done
[83/190] Reinstalling libnet-1.1.6_5,1...
[83/190] Extracting libnet-1.1.6_5,1: .......... done
[84/190] Reinstalling libdaemon-0.14_1...
[84/190] Extracting libdaemon-0.14_1: .......... done
[85/190] Reinstalling ldns-1.7.0_1...
[85/190] Extracting ldns-1.7.0_1: .......... done
[86/190] Reinstalling krb5-1.17_2...
[86/190] Extracting krb5-1.17_2: .......... done
[87/190] Reinstalling jansson-2.12...
[87/190] Extracting jansson-2.12: .......... done
[88/190] Reinstalling hyperscan-4.7.0_2...
[88/190] Extracting hyperscan-4.7.0_2: .......... done
[89/190] Reinstalling glib-2.56.3_5,1...
[89/190] Extracting glib-2.56.3_5,1: .......... done
No schema files found: doing nothing.
[90/190] Reinstalling gdbm-1.18.1_1...
[90/190] Extracting gdbm-1.18.1_1: .......... done
[91/190] Reinstalling expat-2.2.6_1...
[91/190] Extracting expat-2.2.6_1: .......... done
[92/190] Reinstalling e2fsprogs-libuuid-1.45.2...
[92/190] Extracting e2fsprogs-libuuid-1.45.2: .......... done
[93/190] Reinstalling cvsps-2.1_2...
[93/190] Extracting cvsps-2.1_2: ..... done
[94/190] Reinstalling curl-7.65.1...
[94/190] Extracting curl-7.65.1: .......... done
[95/190] Reinstalling cpdup-1.20...
[95/190] Extracting cpdup-1.20: ..... done
[96/190] Reinstalling clog-1.0.1_3...
[96/190] Extracting clog-1.0.1_3: ...... done
[97/190] Reinstalling bind-tools-9.14.3...
[97/190] Extracting bind-tools-9.14.3: .......... done
[98/190] Reinstalling bash-5.0.7...
[98/190] Extracting bash-5.0.7: .......... done
[99/190] Reinstalling zip-3.0_1...
[99/190] Extracting zip-3.0_1: .......... done
[100/190] Reinstalling wpa_supplicant-2.8...
[100/190] Extracting wpa_supplicant-2.8: ....... done
[101/190] Reinstalling wireguard-0.0.20190601...
[101/190] Extracting wireguard-0.0.20190601: .......... done
[102/190] Reinstalling vim-console-8.1.1439...
[102/190] Extracting vim-console-8.1.1439: .......... done
[103/190] Reinstalling unbound-1.9.2...
===> Creating groups.
Using existing group 'unbound'.
===> Creating users
Using existing user 'unbound'.
[103/190] Extracting unbound-1.9.2: .......... done
[104/190] Reinstalling syslogd-11.2...
[104/190] Extracting syslogd-11.2: ...... done
[105/190] Reinstalling syslog-ng-3.21.1...
[105/190] Extracting syslog-ng-3.21.1: .......... done
You may need to manually remove /usr/local/etc/syslog-ng.conf if it is no longer                                      needed.
[106/190] Reinstalling suricata-4.1.4_2...
[106/190] Extracting suricata-4.1.4_2: .......... done
You may need to manually remove /usr/local/etc/suricata/classification.config if                                      it is no longer needed.
You may need to manually remove /usr/local/etc/suricata/suricata.yaml if it is n                                     o longer needed.
[107/190] Reinstalling sudo-1.8.27_1...
[107/190] Extracting sudo-1.8.27_1: ......... done
[108/190] Reinstalling strongswan-5.8.0...
[108/190] Extracting strongswan-5.8.0: .......... done
[109/190] Reinstalling sshlockout_pf-0.0.2_2...
[109/190] Extracting sshlockout_pf-0.0.2_2: .... done
[110/190] Reinstalling squid-4.7_1...
===> Creating groups.
Using existing group 'squid'.
===> Creating users
Using existing user 'squid'.
===> Pre-installation configuration for squid-4.7_1
[110/190] Extracting squid-4.7_1: .......... done
You may need to manually remove /usr/local/etc/squid/squid.conf if it is no long                                     er needed.
[111/190] Reinstalling smartmontools-7.0...
[111/190] Extracting smartmontools-7.0: .......... done
[112/190] Reinstalling samplicator-1.3.8.r1_1...
[112/190] Extracting samplicator-1.3.8.r1_1: ..... done
[113/190] Reinstalling rrdtool-1.7.0_2...
[113/190] Extracting rrdtool-1.7.0_2: .......... done
[114/190] Reinstalling rate-0.9_1...
[114/190] Extracting rate-0.9_1: ..... done
[115/190] Reinstalling radvd1-1.15...
[115/190] Extracting radvd1-1.15: ....... done
[116/190] Reinstalling py37-ujson-1.35...
[116/190] Extracting py37-ujson-1.35: ......... done
[117/190] Reinstalling py37-sqlite3-3.7.3_7...
[117/190] Extracting py37-sqlite3-3.7.3_7: ........ done
[118/190] Reinstalling py37-requests-2.21.0...
[118/190] Extracting py37-requests-2.21.0: .......... done
[119/190] Reinstalling py37-pycodestyle-2.5.0_1...
[119/190] Extracting py37-pycodestyle-2.5.0_1: .......... done
[120/190] Reinstalling py37-netaddr-0.7.19_1...
[120/190] Extracting py37-netaddr-0.7.19_1: .......... done
[121/190] Reinstalling py37-dnspython-1.16.0...
[121/190] Extracting py37-dnspython-1.16.0: .......... done
[122/190] Reinstalling py37-Jinja2-2.10.1...
[122/190] Extracting py37-Jinja2-2.10.1: .......... done
[123/190] Reinstalling py27-ujson-1.35...
[123/190] Extracting py27-ujson-1.35: ......... done
[124/190] Reinstalling py27-sqlite3-2.7.16_7...
[124/190] Extracting py27-sqlite3-2.7.16_7: ........ done
[125/190] Reinstalling py27-requests-2.21.0...
[125/190] Extracting py27-requests-2.21.0: .......... done
[126/190] Reinstalling py27-netaddr-0.7.19_1...
[126/190] Extracting py27-netaddr-0.7.19_1: .......... done
[127/190] Reinstalling py27-dnspython-1.16.0...
[127/190] Extracting py27-dnspython-1.16.0: .......... done
[128/190] Reinstalling py27-Jinja2-2.10.1...
[128/190] Extracting py27-Jinja2-2.10.1: .......... done
[129/190] Reinstalling phpunit7-php72-7.5.13...
[129/190] Extracting phpunit7-php72-7.5.13: .... done
[130/190] Reinstalling php72-sqlite3-7.2.19...
[130/190] Extracting php72-sqlite3-7.2.19: ........ done
[131/190] Reinstalling php72-sockets-7.2.19...
[131/190] Extracting php72-sockets-7.2.19: .......... done
[132/190] Reinstalling php72-session-7.2.19...
[132/190] Extracting php72-session-7.2.19: .......... done
[133/190] Reinstalling php72-phpseclib-2.0.15...
[133/190] Extracting php72-phpseclib-2.0.15: ........ done
[134/190] Reinstalling php72-phalcon-3.4.4...
[134/190] Extracting php72-phalcon-3.4.4: ........ done
[135/190] Reinstalling php72-pecl-xdebug-2.7.2...
[135/190] Extracting php72-pecl-xdebug-2.7.2: .......... done
[136/190] Reinstalling php72-pecl-radius-1.4.0.b1...
[136/190] Extracting php72-pecl-radius-1.4.0.b1: .......... done
[137/190] Reinstalling php72-pear-PHP_CodeSniffer-3.4.2...
[137/190] Extracting php72-pear-PHP_CodeSniffer-3.4.2: .......... done
uninstall ok: channel://pear.php.net/PHP_CodeSniffer-3.4.2
install ok: channel://pear.php.net/PHP_CodeSniffer-3.4.2
[138/190] Reinstalling php72-openssl-7.2.19...
[138/190] Extracting php72-openssl-7.2.19: ....... done
[139/190] Reinstalling php72-ldap-7.2.19...
[139/190] Extracting php72-ldap-7.2.19: ....... done
[140/190] Reinstalling php72-gettext-7.2.19...
[140/190] Extracting php72-gettext-7.2.19: ....... done
[141/190] Reinstalling php72-filter-7.2.19...
[141/190] Extracting php72-filter-7.2.19: ........ done
[142/190] Reinstalling php72-curl-7.2.19...
[142/190] Extracting php72-curl-7.2.19: ....... done
[143/190] Reinstalling pftop-0.7_8...
[143/190] Extracting pftop-0.7_8: ..... done
[144/190] Reinstalling pam_opnsense-19.1.3...
[144/190] Extracting pam_opnsense-19.1.3: ........ done
[145/190] Reinstalling p5-File-Slurp-9999.27...
[145/190] Extracting p5-File-Slurp-9999.27: ...... done
[146/190] Reinstalling opnsense-update-19.7.r1...
[146/190] Extracting opnsense-update-19.7.r1: .......... done
[147/190] Reinstalling opnsense-lang-19.7...
[147/190] Extracting opnsense-lang-19.7: .......... done
[148/190] Reinstalling openvpn-2.4.7...
[148/190] Extracting openvpn-2.4.7: .......... done
[149/190] Reinstalling openssh-portable-7.9.p1_1,1...
[149/190] Extracting openssh-portable-7.9.p1_1,1: .......... done
You may need to manually remove /usr/local/etc/ssh/sshd_config if it is no longe                                     r needed.
[150/190] Reinstalling ntp-4.2.8p13...
[150/190] Extracting ntp-4.2.8p13: .......... done
[151/190] Reinstalling mpd5-5.8_10...
[151/190] Extracting mpd5-5.8_10: ......... done
[152/190] Reinstalling monit-5.25.3...
[152/190] Extracting monit-5.25.3: ....... done
[153/190] Reinstalling mdns-repeater-1.10_2...
[153/190] Extracting mdns-repeater-1.10_2: ..... done
[154/190] Reinstalling lighttpd-1.4.54...
===> Creating groups.
Using existing group 'www'.
===> Creating users
Using existing user 'www'.
[154/190] Extracting lighttpd-1.4.54: .......... done
[155/190] Reinstalling isc-dhcp44-server-4.4.1_4...
===> Creating groups.
Using existing group 'dhcpd'.
===> Creating users
Using existing user 'dhcpd'.
[155/190] Extracting isc-dhcp44-server-4.4.1_4: .......... done
[156/190] Reinstalling isc-dhcp44-relay-4.4.1...
[156/190] Extracting isc-dhcp44-relay-4.4.1: ....... done
[157/190] Reinstalling ifinfo-10.1...
[157/190] Extracting ifinfo-10.1: .... done
[158/190] Reinstalling hostapd-2.8...
[158/190] Extracting hostapd-2.8: ....... done
[159/190] Reinstalling haproxy18-1.8.20...
[159/190] Extracting haproxy18-1.8.20: ........ done
[160/190] Reinstalling git-2.22.0...
===> Creating groups.
Using existing group 'git_daemon'.
===> Creating users
Using existing user 'git_daemon'.
[160/190] Extracting git-2.22.0: .......... done
[161/190] Reinstalling freeradius3-3.0.19_1...
===> Creating groups.
Using existing group 'freeradius'.
===> Creating users
Using existing user 'freeradius'.
===> Setting user and group in radiusd.conf
[161/190] Extracting freeradius3-3.0.19_1: .......... done
You should remove /usr/local/etc/raddb if you don't need it any more.
===> Adjusting ownership of directory /usr/local/etc/raddb
===> Adjusting ownership of directory /var/log/radacct
===> Adjusting ownership of directory /var/run/radiusd
===> Adjusting ownership of /var/log/radius.log
===> Adjusting ownership of /var/log/radutmp
===> Adjusting ownership of /var/log/radwtmp
===> Updating libdir in /usr/local/etc/raddb/radiusd.conf
[162/190] Reinstalling flowd-0.9.1_3...
===> Creating groups.
Using existing group '_flowd'.
===> Creating users
Using existing user '_flowd'.
[162/190] Extracting flowd-0.9.1_3: .......... done
[163/190] Reinstalling flock-2.30.1...
[163/190] Extracting flock-2.30.1: ...... done
[164/190] Reinstalling filterlog-0.2...
[164/190] Extracting filterlog-0.2: .... done
[165/190] Reinstalling expiretable-0.6_1...
[165/190] Extracting expiretable-0.6_1: ... done
[166/190] Reinstalling dpinger-3.0...
[166/190] Extracting dpinger-3.0: .... done
[167/190] Reinstalling dnsmasq-2.80_2,1...
[167/190] Extracting dnsmasq-2.80_2,1: .......... done
[168/190] Reinstalling dmidecode-3.2...
[168/190] Extracting dmidecode-3.2: .......... done
[169/190] Reinstalling dhcpleases-0.2...
[169/190] Extracting dhcpleases-0.2: ..... done
[170/190] Reinstalling dhcp6c-20190419...
[170/190] Extracting dhcp6c-20190419: ........ done
[171/190] Reinstalling cpustats-0.1...
[171/190] Extracting cpustats-0.1: . done
[172/190] Reinstalling choparp-20150613...
[172/190] Extracting choparp-20150613: ...... done
[173/190] Reinstalling bsdinstaller-19.7...
[173/190] Extracting bsdinstaller-19.7: .......... done
[174/190] Reinstalling bind914-9.14.3...
[174/190] Extracting bind914-9.14.3: .......... done
You may need to manually remove /usr/local/etc/namedb/named.conf if it is no lon                                     ger needed.
[175/190] Reinstalling beep-1.0_1...
[175/190] Extracting beep-1.0_1: ..... done
[176/190] Reinstalling acme.sh-2.8.1...
===> Creating groups.
Using existing group 'acme'.
===> Creating users
Using existing user 'acme'.
[176/190] Extracting acme.sh-2.8.1: .......... done
[177/190] Reinstalling pkg-1.10.5_5...
[177/190] Extracting pkg-1.10.5_5: .......... done
[178/190] Reinstalling os-wireguard-devel-0.11...
[178/190] Extracting os-wireguard-devel-0.11: .......... done
Starting configd.

After that, it stops, so 178 is not 190!

Greets
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 06:17:35 am
Hi,

it seems, upgrade is complete. But system isn't up to date?
What can i do?

Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: mimugmail on July 10, 2019, 06:25:27 am
pkg update && pkg upgrade via console?
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 08:03:37 am
sudo pkg update && sudo pkg upgrade
Password:
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Checking for upgrades (3 candidates): 100%
Processing candidates (3 candidates): 100%
Checking integrity... done (0 conflicting)
Your packages are up to date.


Same here
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: mimugmail on July 10, 2019, 10:47:34 am
And why do you think you're not up2date?
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 10, 2019, 11:40:15 am
Strange, I can try to reproduce, something about having a plugin installed it seems although obscure.

If you don't get all updates maybe your mirror is not on 19.7 yet.

# cat /usr/local/etc/repos/OPNsense.conf
# pkg info opnsense-devel


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 03:57:23 pm
>And why do you think you're not up2date?
Because OPNsense tells me on WebIf and Update shows update to 19.7.r1
AND because of output shown after this:

Code: [Select]
sudo cat /usr/local/etc/repos/OPNsense.conf
Password:
cat: /usr/local/etc/repos/OPNsense.conf: No such file or directory


$ sudo pkg info opnsense-devel
opnsense-devel-19.7.b_148
Name           : opnsense-devel
Version        : 19.7.b_148
Installed on   : Tue Jul  9 18:29:17 2019 CEST
Origin         : opnsense/opnsense-devel
Architecture   : FreeBSD:11:amd64
Prefix         : /usr/local
Categories     : sysutils www
Licenses       : BSD2CLAUSE
Maintainer     : project@opnsense.org
WWW            : https://opnsense.org/
Comment        : OPNsense development package
Annotations    :
        FreeBSD_version: 1102000
        repo_type      : binary
        repository     : OPNsense
Flat size      : 25.5MiB
Description    :
f3c1bc2e8
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: AhnHEL on July 10, 2019, 04:38:33 pm
When you're in the WebUI, and you've successfully upgraded to the Development Version 19.7r_1, and you go back to the Production Release type to try to Update to r.1, there are three buttons; Update, Unlock and Upgrade.

Use the "Update" button to get r.1

If you Unlock and Upgrade again you will just get back to r_1.
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 10, 2019, 05:46:29 pm
Sorry, typo in the OPNsense.conf command...

# cat /usr/local/etc/pkg/repos/OPNsense.conf


Thanks,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 05:50:32 pm
OK, I do on WebIF:

1) Set to production
2) press Update and upgrade to --> OPNsense 19.1.10-amd64
3) reboot
4) Set to development
5) press update and Upgrade to --> OPNsense 19.7.b_148-amd64
6) reboot
7) press Update and
    This software release has reached its designated end of life. The next major release is: 19.7.r1
    Unlock -> Upgrade
Code: [Select]
***GOT REQUEST TO UPGRADE: maj***
Fetching packages-19.7.r1-OpenSSL-amd64.tar: ....................................................................................... done
Extracting packages-19.7.r1-OpenSSL-amd64.tar... done
Please reboot.
***REBOOT***
8) automatical reboot
9) System hangs (no connection)
10) Push Power off/on
11) after PC is on, OPNsense -->    OPNsense 19.7.b_148-amd64

Is there anything to to on console after reboot?
I´ve got no monitor on OPNsense-PC, only ssh /webif Connection......

Hopefully


Code: [Select]
sudo cat /usr/local/etc/pkg/repos/OPNsense.conf
OPNsense: {
  fingerprints: "/usr/local/etc/pkg/fingerprints/OPNsense",
  url: "pkg+https://pkg.opnsense.org/${ABI}/19.1/latest",
  signature_type: "fingerprints",
  mirror_type: "srv",
  priority: 11,
  enabled: yes
}
Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 10, 2019, 05:54:45 pm
Okay, so does this always happen, even on the first upgrade attempt?

> 9) System hangs (no connection)
> 10) Push Power off/on

Do you have a console to see why it hangs?

The upgrade.log did indicate it stops/hangs and is forcefully cut off as well without an error to show for.
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 06:00:43 pm
On tv, there is no wan/modem = no internet.
So webif upgrade doesnt work!

On wan/modem, there is no tv/monitor, so i can' t see console....

is there a possibility to upgrade without wan/internet?


o I have to think about it...
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 10, 2019, 06:09:27 pm
I don't understand. The upgrade is staged so as to be able to do it all offline before networking comes up.
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 06:13:26 pm
I only can push button Upgrade, when internet is connected.
After that, upgrade loads data and reboots my system. Than, system hangs.
After shut down and start again, old system is back....

I think, i can't push upgrade without internet connection....

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 10, 2019, 06:17:08 pm
It's stuck for a yet unknown reason, but it's not missing internet connectivity.

The log is cut because the system is switched off. After the forced reboot the system is back where it hang in a half-upgraded state.

I'm trying to reproduce this now by adding the os-wireguard-devel plugin to an otherwise working upgrade procedure... back in a few minutes :)


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 10, 2019, 06:23:22 pm
So it worked fine. But I noticed that I only have [149/149].

What else did you install and from where? We have 41 packages unaccounted for.

# pkg query %n:%R


Thanks,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 10, 2019, 06:47:25 pm
Thanks for help:

Code: [Select]
sudo pkg query %n:%R
Password:
acme.sh:OPNsense
arp-scan:OPNsense
bash:OPNsense
beep:OPNsense
bind-tools:OPNsense
bind914:OPNsense
bsdinstaller:OPNsense
ca_root_nss:OPNsense
choparp:OPNsense
clog:OPNsense
cpdup:OPNsense
cpustats:OPNsense
curl:OPNsense
cvsps:OPNsense
cyrus-sasl:OPNsense
dhcp6c:OPNsense
dhcpleases:OPNsense
dmidecode:OPNsense
dnsmasq:OPNsense
dpinger:OPNsense
e2fsprogs-libuuid:OPNsense
expat:OPNsense
expiretable:OPNsense
filterlog:OPNsense
flock:OPNsense
flowd:OPNsense
freeradius3:OPNsense
gdbm:OPNsense
gettext-runtime:OPNsense
git:OPNsense
glib:OPNsense
gmp:OPNsense
haproxy18:OPNsense
hostapd:OPNsense
hyperscan:OPNsense
ifinfo:OPNsense
indexinfo:OPNsense
isc-dhcp44-relay:OPNsense
isc-dhcp44-server:OPNsense
jansson:OPNsense
json-c:OPNsense
krb5:OPNsense
ldns:OPNsense
libargon2:OPNsense
libdaemon:OPNsense
libedit:OPNsense
libevent:OPNsense
libffi:OPNsense
libiconv:OPNsense
libidn2:OPNsense
liblz4:OPNsense
libnet:OPNsense
libnghttp2:OPNsense
libucl:OPNsense
libunistring:OPNsense
libxml2:OPNsense
libyaml:OPNsense
lighttpd:OPNsense
lmdb:OPNsense
lua53:OPNsense
lzo2:OPNsense
mdns-repeater:OPNsense
monit:OPNsense
mpd5:OPNsense
mysql56-client:OPNsense
nettle:OPNsense
ntp:OPNsense
openldap-sasl-client:OPNsense
openssh-portable:OPNsense
openssl:OPNsense
openvpn:OPNsense
opnsense-devel:OPNsense
opnsense-lang:OPNsense
opnsense-update:OPNsense
os-acme-client-devel:OPNsense
os-api-backup-devel:OPNsense
os-arp-scan-devel:OPNsense
os-bind-devel:OPNsense
os-debug-devel:OPNsense
os-dmidecode-devel:OPNsense
os-dyndns-devel:OPNsense
os-freeradius-devel:OPNsense
os-haproxy-devel:OPNsense
os-mdns-repeater-devel:OPNsense
os-smart-devel:OPNsense
os-wireguard-devel:OPNsense
p5-Error:OPNsense
p5-File-Slurp:OPNsense
pam_opnsense:OPNsense
pcre:OPNsense
perl5:OPNsense
pftop:OPNsense
php72:OPNsense
php72-ctype:OPNsense
php72-curl:OPNsense
php72-dom:OPNsense
php72-filter:OPNsense
php72-gettext:OPNsense
php72-hash:OPNsense
php72-json:OPNsense
php72-ldap:OPNsense
php72-openssl:OPNsense
php72-pdo:OPNsense
php72-pear:OPNsense
php72-pear-PHP_CodeSniffer:OPNsense
php72-pecl-radius:OPNsense
php72-pecl-xdebug:OPNsense
php72-phalcon:OPNsense
php72-phar:OPNsense
php72-phpseclib:OPNsense
php72-session:OPNsense
php72-simplexml:OPNsense
php72-sockets:OPNsense
php72-sqlite3:OPNsense
php72-tokenizer:OPNsense
php72-xml:OPNsense
php72-xmlwriter:OPNsense
php72-zlib:OPNsense
phpunit7-php72:OPNsense
pkg:OPNsense
py27-Babel:OPNsense
py27-Jinja2:OPNsense
py27-MarkupSafe:OPNsense
py27-asn1crypto:OPNsense
py27-certifi:OPNsense
py27-cffi:OPNsense
py27-chardet:OPNsense
py27-cryptography:OPNsense
py27-dnspython:OPNsense
py27-enum34:OPNsense
py27-idna:OPNsense
py27-ipaddress:OPNsense
py27-netaddr:OPNsense
py27-openssl:OPNsense
py27-ply:OPNsense
py27-pycparser:OPNsense
py27-pysocks:OPNsense
py27-pytz:OPNsense
py27-requests:OPNsense
py27-setuptools:OPNsense
py27-six:OPNsense
py27-sqlite3:OPNsense
py27-ujson:OPNsense
py27-urllib3:OPNsense
py27-yaml:OPNsense
py37-Babel:OPNsense
py37-Jinja2:OPNsense
py37-MarkupSafe:OPNsense
py37-asn1crypto:OPNsense
py37-certifi:OPNsense
py37-cffi:OPNsense
py37-chardet:OPNsense
py37-cryptography:OPNsense
py37-dnspython:OPNsense
py37-idna:OPNsense
py37-netaddr:OPNsense
py37-openssl:OPNsense
py37-pycodestyle:OPNsense
py37-pycparser:OPNsense
py37-pysocks:OPNsense
py37-pytz:OPNsense
py37-requests:OPNsense
py37-setuptools:OPNsense
py37-six:OPNsense
py37-sqlite3:OPNsense
py37-ujson:OPNsense
py37-urllib3:OPNsense
python27:OPNsense
python37:OPNsense
radvd1:OPNsense
rate:OPNsense
readline:OPNsense
rrdtool:OPNsense
samplicator:OPNsense
smartmontools:OPNsense
socat:OPNsense
sqlite3:OPNsense
squid:OPNsense
sshlockout_pf:OPNsense
strongswan:OPNsense
sudo:OPNsense
suricata:OPNsense
syslog-ng:OPNsense
syslogd:OPNsense
talloc:OPNsense
unbound:OPNsense
vim-console:OPNsense
wireguard:OPNsense
wireguard-go:OPNsense
wpa_supplicant:OPNsense
zip:OPNsense


EDIT:
All from WebIf installed
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: tillsense on July 10, 2019, 06:48:47 pm
When you're in the WebUI, and you've successfully upgraded to the Development Version 19.7r_1, and you go back to the Production Release type to try to Update to r.1, there are three buttons; Update, Unlock and Upgrade.

Use the "Update" button to get r.1

If you Unlock and Upgrade again you will just get back to r_1.
+ mIxed of Bytechanger...

I went through this weird behavior yesterday, too. I had even explicitly typed 19.7.r1 under point 12 in the console to upgrade but ended up with a complete freezing in 19.7.b_148. (cold restart)
Then via the GUI in 19.7.r_1 and sometime in 19.7.r1.
What is still noticeable is that the Smart Plugin doesn't run as a widget anymore and flowd doesn't display any more despite resetting the data. :(
Up to now I thought this is a special case but here seems to be something wrong.

cheers till
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 11, 2019, 08:26:11 am
190 packages upgraded ok. I'm not sure about the implications of starting/restarting Configd that early, but OTOH there haven't been any issues with that system in place for a couple of major iterations already. I am at a loss what the trigger is here.

Does someone have a screenshot or console output of the hanging upgrade?


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 11, 2019, 07:01:50 pm
Hi,

now I connect my beamer and change to vga console.
Installing goes with many many messages up to...

Message from opnsense-devel-19.7.r_1:

Carry on my wayward son
Checking integrity...
[...]

pkg-static: Repository OPNsense has a wrong packagesitem need to re-create database
pkg-static: Repository OPNsense cannot be opened. 'pkg update' required
Nothing to do.
Please reboot.
after that, a reboot is done and OPNsense come with "old" version.
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: tillsense on July 11, 2019, 07:53:21 pm
...
Does someone have a screenshot or console output of the hanging upgrade?
...
Cheers,
Franco
Hi Franco,
unfortunately no but the display of the terminal that didn't react to anything showed waiting for a PID (not helpful I know).
cheers
till
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 11, 2019, 08:18:03 pm
That's a clue at least. I would suspect if it's waiting for a PID it would be configd because that's what is being restarted a number of times (one time for each plugin). I'll try to disable the reload for the upgrade bits as it may be the solution here.


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 11, 2019, 09:04:26 pm
OK, there was an error because of pid:

[...]
[186/190] Extracting os-bind-devel-1.5: ........
Starting configd
Unable to lock on the pidfile.
/usr/local/etc/rc.d/configd: WARNING failed to start configd
Keep version OPNsense\Bind}Dnsbl (1.0.5)
[...]

Helps that?

Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 11, 2019, 09:12:20 pm
Shots 1
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 11, 2019, 09:14:55 pm
Shots 2
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 12, 2019, 08:38:22 am
Funny, now your screenshots show the upgrade went through (19.7.r_1). Does it hang in the 4th screenshot?

The configd issue seemed like a dead end, but I found postfix is asking an interactive question on update which is quite fatal so I removed the offending prompt from the package:

https://github.com/opnsense/ports/commit/40f51c10e51


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 12, 2019, 01:00:36 pm
Yes,
 on switching to VGA it´s installing complete and reboot, but it´s still OLD Version.
Now I try to update again with your changes?

One question:
How can I update/upgrade via SSH?
How can I get the menu (wich is shown on VGA)??
Update option is Nr 12..



Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 12, 2019, 04:33:49 pm
OK, on serial console it update freezes.
Can´t update

Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 14, 2019, 09:04:08 am
Hi,

now System shows version
OPNsense 19.7.r_1-amd64
but update shows need to upgrade and unlock...
So it isn't complete.

What can i do?

Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: gpb on July 14, 2019, 06:49:56 pm
Also on "19.7_r1", updates show this version "obsolete" and "19.7r1" (no underscore in name) along with one other package that needs to be reinstalled with version 1.10.5_5 and name "pkg" (looks like package manager).  Manual reinstall from the packages tab doesn't do anything (runs, but still indicates needs reinstalled).

Two crash reports were sent.

Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 15, 2019, 09:45:17 am
Your version numbers are off. Also you're seeing what it's supposed to do. Please take the time to read the beginning of this thread where the process for testing RC is explained.


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 15, 2019, 10:12:56 am
Hi,

I started this thread. But upgrade stocks. I can't upgrade and don't know, what to do.


Greets

Byte
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: franco on July 15, 2019, 11:51:44 am
Please wait for the release then. It'll be easier to understand.


Cheers,
Franco
Title: Re: Upgrading on WebIF to 19.7.r1 doesn´t work?
Post by: Bytechanger on July 16, 2019, 08:08:52 am
I doesn't understand.
Actually my Software isn't complete updated. It's half upgraded.

I need development-state because of wireguard.

Can I go back to production snd than again to dev?
Or how can I upgrade complete?

EDIT: Oh, maybee thats my fault

https://forum.opnsense.org/index.php?topic=13447.0



Additional: How can I start OPNsense -Menu (console menu) over ssh in bash?

Greets

Byte